Subject: Re: key-mon crashes on launch

From: John Kehayias <[email-masked]>
Date: Sat, 14 Aug 2021 20:40:32 +0000

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Saturday, August 14th, 2021 at 4:34 PM, John Kehayias wrote:

> Are there any updates on this, did anyone get it to work? I just tried with the same issue on opening display for me too.
>
> I'm seeing the same thing in trying to package autokey, but with the error displayed in a graphical window on the X server (and yet it says it doesn't know the protocol). This also uses python-xlib, gtk, etc.
>

Of course immediatly after I found a workaround, for key-mon and my case: allow all to connect to X with `xhost +`. Certainly not the ideal thing to do as it disables authentication with X, but show the problem.

Does anyone know the proper way to deal with this for these python packages?